## python-pyramid-multiauth 1.0.2

=== Makefile ===
VENV := $(shell echo $${VIRTUAL_ENV-.venv})
PYTHON = $(VENV)/bin/python
INSTALL_STAMP = $(VENV)/.install.stamp

.PHONY: all
all: install

install: $(INSTALL_STAMP)
$(INSTALL_STAMP): $(PYTHON) pyproject.toml requirements.txt
	$(VENV)/bin/pip install -U pip
	$(VENV)/bin/pip install -r requirements.txt
	$(VENV)/bin/pip install -e ".[dev]"
	touch $(INSTALL_STAMP)

$(PYTHON):
	python3 -m venv $(VENV)

requirements.txt: requirements.in
	pip-compile

.PHONY: test
test: install
	$(VENV)/bin/pytest --cov-report term-missing --cov-fail-under 95 --cov pyramid_multiauth

.PHONY: lint
lint: install
	$(VENV)/bin/ruff check src tests
	$(VENV)/bin/ruff format --check src tests

.PHONY: format
format: install
	$(VENV)/bin/ruff check --fix src tests
	$(VENV)/bin/ruff format src tests

.IGNORE: clean
clean:
	find src -name '__pycache__' -type d -exec rm -fr {} \;
	find tests -name '__pycache__' -type d -exec rm -fr {} \;
	rm -rf .venv .coverage *.egg-info .pytest_cache .ruff_cache build dist

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.9
# by the following command:
#
#    pip-compile --generate-hashes
#
hupper==1.12.1 \
    --hash=sha256:06bf54170ff4ecf4c84ad5f188dee3901173ab449c2608ad05b9bfd6b13e32eb \
    --hash=sha256:e872b959f09d90be5fb615bd2e62de89a0b57efc037bdf9637fb09cdf8552b19
    # via pyramid
pastedeploy==3.1.0 \
    --hash=sha256:76388ad53a661448d436df28c798063108f70e994ddc749540d733cdbd1b38cf \
    --hash=sha256:9ddbaf152f8095438a9fe81f82c78a6714b92ae8e066bed418b6a7ff6a095a95
    # via plaster-pastedeploy
plaster==1.1.2 \
    --hash=sha256:42992ab1f4865f1278e2ad740e8ad145683bb4022e03534265528f0c23c0df2d \
    --hash=sha256:f8befc54bf8c1147c10ab40297ec84c2676fa2d4ea5d6f524d9436a80074ef98
    # via
    #   plaster-pastedeploy
    #   pyramid
plaster-pastedeploy==1.0.1 \
    --hash=sha256:ad3550cc744648969ed3b810f33c9344f515ee8d8a8cec18e8f2c4a643c2181f \
    --hash=sha256:be262e6d2e41a7264875daa2fe2850cbb0615728bcdc92828fdc72736e381412
    # via pyramid
pyramid==2.0.2 \
    --hash=sha256:2e6585ac55c147f0a51bc00dadf72075b3bdd9a871b332ff9e5e04117ccd76fa \
    --hash=sha256:372138a738e4216535cc76dcce6eddd5a1aaca95130f2354fb834264c06f18de
    # via -r requirements.in
translationstring==1.4 \
    --hash=sha256:5f4dc4d939573db851c8d840551e1a0fb27b946afe3b95aafc22577eed2d6262 \
    --hash=sha256:bf947538d76e69ba12ab17283b10355a9ecfbc078e6123443f43f2107f6376f3
    # via pyramid
venusian==3.1.0 \
    --hash=sha256:d1fb1e49927f42573f6c9b7c4fcf61c892af8fdcaa2314daa01d9a560b23488d \
    --hash=sha256:eb72cdca6f3139a15dc80f9c95d3c10f8a54a0ba881eeef8e2ec5b42d3ee3a95
    # via pyramid
webob==1.8.7 \
    --hash=sha256:73aae30359291c14fa3b956f8b5ca31960e420c28c1bec002547fb04928cf89b \
    --hash=sha256:b64ef5141be559cfade448f044fa45c2260351edcb6a8ef6b7e00c7dcef0c323
    # via pyramid
zope-deprecation==5.0 \
    --hash=sha256:28c2ee983812efb4676d33c7a8c6ade0df191c1c6d652bbbfe6e2eeee067b2d4 \
    --hash=sha256:b7c32d3392036b2145c40b3103e7322db68662ab09b7267afe1532a9d93f640f
    # via pyramid
zope-interface==6.1 \
    --hash=sha256:0c8cf55261e15590065039696607f6c9c1aeda700ceee40c70478552d323b3ff \
    --hash=sha256:13b7d0f2a67eb83c385880489dbb80145e9d344427b4262c49fbf2581677c11c \
    --hash=sha256:1f294a15f7723fc0d3b40701ca9b446133ec713eafc1cc6afa7b3d98666ee1ac \
    --hash=sha256:239a4a08525c080ff833560171d23b249f7f4d17fcbf9316ef4159f44997616f \
    --hash=sha256:2f8d89721834524a813f37fa174bac074ec3d179858e4ad1b7efd4401f8ac45d \
    --hash=sha256:2fdc7ccbd6eb6b7df5353012fbed6c3c5d04ceaca0038f75e601060e95345309 \
    --hash=sha256:34c15ca9248f2e095ef2e93af2d633358c5f048c49fbfddf5fdfc47d5e263736 \
    --hash=sha256:387545206c56b0315fbadb0431d5129c797f92dc59e276b3ce82db07ac1c6179 \
    --hash=sha256:43b576c34ef0c1f5a4981163b551a8781896f2a37f71b8655fd20b5af0386abb \
    --hash=sha256:57d0a8ce40ce440f96a2c77824ee94bf0d0925e6089df7366c2272ccefcb7941 \
    --hash=sha256:5a804abc126b33824a44a7aa94f06cd211a18bbf31898ba04bd0924fbe9d282d \
    --hash=sha256:67be3ca75012c6e9b109860820a8b6c9a84bfb036fbd1076246b98e56951ca92 \
    --hash=sha256:6af47f10cfc54c2ba2d825220f180cc1e2d4914d783d6fc0cd93d43d7bc1c78b \
    --hash=sha256:6dc998f6de015723196a904045e5a2217f3590b62ea31990672e31fbc5370b41 \
    --hash=sha256:70d2cef1bf529bff41559be2de9d44d47b002f65e17f43c73ddefc92f32bf00f \
    --hash=sha256:7ebc4d34e7620c4f0da7bf162c81978fce0ea820e4fa1e8fc40ee763839805f3 \
    --hash=sha256:964a7af27379ff4357dad1256d9f215047e70e93009e532d36dcb8909036033d \
    --hash=sha256:97806e9ca3651588c1baaebb8d0c5ee3db95430b612db354c199b57378312ee8 \
    --hash=sha256:9b9bc671626281f6045ad61d93a60f52fd5e8209b1610972cf0ef1bbe6d808e3 \
    --hash=sha256:9ffdaa5290422ac0f1688cb8adb1b94ca56cee3ad11f29f2ae301df8aecba7d1 \
    --hash=sha256:a0da79117952a9a41253696ed3e8b560a425197d4e41634a23b1507efe3273f1 \
    --hash=sha256:a41f87bb93b8048fe866fa9e3d0c51e27fe55149035dcf5f43da4b56732c0a40 \
    --hash=sha256:aa6fd016e9644406d0a61313e50348c706e911dca29736a3266fc9e28ec4ca6d \
    --hash=sha256:ad54ed57bdfa3254d23ae04a4b1ce405954969c1b0550cc2d1d2990e8b439de1 \
    --hash=sha256:b012d023b4fb59183909b45d7f97fb493ef7a46d2838a5e716e3155081894605 \
    --hash=sha256:b51b64432eed4c0744241e9ce5c70dcfecac866dff720e746d0a9c82f371dfa7 \
    --hash=sha256:bbe81def9cf3e46f16ce01d9bfd8bea595e06505e51b7baf45115c77352675fd \
    --hash=sha256:c9559138690e1bd4ea6cd0954d22d1e9251e8025ce9ede5d0af0ceae4a401e43 \
    --hash=sha256:e30506bcb03de8983f78884807e4fd95d8db6e65b69257eea05d13d519b83ac0 \
    --hash=sha256:e33e86fd65f369f10608b08729c8f1c92ec7e0e485964670b4d2633a4812d36b \
    --hash=sha256:e441e8b7d587af0414d25e8d05e27040d78581388eed4c54c30c0c91aad3a379 \
    --hash=sha256:e8bb9c990ca9027b4214fa543fd4025818dc95f8b7abce79d61dc8a2112b561a \
    --hash=sha256:ef43ee91c193f827e49599e824385ec7c7f3cd152d74cb1dfe02cb135f264d83 \
    --hash=sha256:ef467d86d3cfde8b39ea1b35090208b0447caaabd38405420830f7fd85fbdd56 \
    --hash=sha256:f89b28772fc2562ed9ad871c865f5320ef761a7fcc188a935e21fe8b31a38ca9 \
    --hash=sha256:fddbab55a2473f1d3b8833ec6b7ac31e8211b0aa608df5ab09ce07f3727326de
    # via pyramid

# WARNING: The following packages were not pinned, but pip requires them to be
# pinned when the requirements file includes hashes and the requirement is not
# satisfied by a package already installed. Consider using the --allow-unsafe flag.
# setuptools

## python-pyramid-multiauth 0.8.0

=== debian/changelog ===
python-pyramid-multiauth (0.8.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop Python 2 support (Closes: #935381).
  * Update the priority from extra to optional.

 -- Andrey Rahmatullin <wrar@debian.org>  Mon, 23 Sep 2019 20:34:29 +0500

python-pyramid-multiauth (0.8.0-1) unstable; urgency=medium

  [ Denis Laxalde ]
  * Initial release.

  [ David Douard ]
  * New upstream release. (Closes: 820898)
  * Build a python 3 binary package.
  * Use pybuild

 -- David Douard <david.douard@logilab.fr>  Wed, 13 Apr 2016 17:56:49 +0200

=== debian/control ===
Source: python-pyramid-multiauth
Section: python
Priority: optional
Maintainer: David Douard <david.douard@logilab.fr>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-pyramid,
Standards-Version: 3.9.7
Homepage: http://pypi.python.org/pypi/pyramid_multiauth
Vcs-Browser: https://github.com/douardda/pyramid_multiauth
Vcs-Git: https://github.com/douardda/pyramid_multiauth.git

Package: python3-pyramid-multiauth
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends}
Description: authentication policy for the Pyramid web framework (python 3)
 The pyramid_multiauth package provides MultiAuthenticationPolicy: a Pyramid
 authentication policy that proxies to a stack of other IAuthenticationPolicy
 objects, to provide a combined auth solution from individual pieces.

=== debian/watch ===
version=3
http://pypi.debian.net/pyramid_multiauth/pyramid_multiauth-(.+)\.tar\.gz

## python-pyramid-multiauth 1.0.2

=== debian/changelog ===
python-pyramid-multiauth (1.0.2-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Orphan the package via ITS process. (Closes: #997297, #1092030)
  * debian/: Refresh packaging.
  * debian/control: Update Vcs-* fields.

 -- Boyuan Yang <byang@debian.org>  Sun, 05 Jan 2025 12:13:20 -0500

=== debian/control ===
Source: python-pyramid-multiauth
Section: python
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-pyramid,
 python3-setuptools,
 python3-setuptools-scm,
Standards-Version: 4.7.0
Homepage: https://github.com/mozilla-services/pyramid_multiauth
Vcs-Browser: https://salsa.debian.org/debian/python-pyramid-multiauth.git
Vcs-Git: https://salsa.debian.org/debian/python-pyramid-multiauth.git
Description: authentication policy for the Pyramid web framework (python 3)
 The pyramid_multiauth package provides MultiAuthenticationPolicy: a Pyramid
 authentication policy that proxies to a stack of other IAuthenticationPolicy
 objects, to provide a combined auth solution from individual pieces.

Package: python3-pyramid-multiauth
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
 https://api.github.com/repos/mozilla-services/pyramid_multiauth/releases?per_page=100 \
 https://api.github.com/repos/mozilla-services/pyramid_multiauth/tarball/@ANY_VERSION@
